#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>
#include "ido.h"
#include "hivas.h"

void hivasinic(Hivas* h, int ssz, Ido k, Ido v)
	{
	h->sorszam = ssz;
	h->kezd = k;
	h->veg = v;
	}

Hivas ujhivas(int ssz, FILE* input)
	{
	Hivas uj;
	int ko, kp, km, vo, vp, vm;
	fscanf(stdin, "%d %d %d %d %d %d^\n", &ko, &kp, &km, &vo, &vp, &vm);
	hivasinic(&uj, ssz, idoinic(ko, kp, km), idoinic(vo, vp, vm));
	return uj;
	}

int hivashossz(Hivas h)
{
  return h.veg.ido - h.kezd.ido;
}

bool hiv_e(Hivas ez, Ido ekkor )
{
  return (ez.kezd.ido < ekkor.ido && ekkor.ido < ez.veg.ido);
}
