#include <stdio.h>
#include <stdlib.h>
#include "ido.h"
#include "hivas.h"
#include "hivaslista.h"
#include "fogadas.h"

/*****************************************************************/
/* C nyelven rt OOP-szeru megoldas, azaz                        */
/* - az adatok struct-ba szerkesztve                             */
/* - strukturak, eljarasok .h es .c fajlokba szervezve           */
/* - inic (kostruktor helyett), torles, muveletek a struct-ra    */
/* + lista: specialis listaelemekkel, specialis pointerkezeles   */
/*   - hivaslista 2 strazsaval: kezd, h, h, ... h, h, veg, h, ...*/
/*     kezd es veg nem lezeto hivasok, veg utan is elemek        */
/*   - fogadott hivasok listaja a masik listara mutato adattaggal*/
/*vizsgan nem szereplo pluszfeladat: szabadido szamitasa         */
/*****************************************************************/

int main(void)
	{

	/****************************/
	/*   feladatok megoldsa    */
	/****************************/
	/*2. feladat: adatok beolvassa*/


	/*Kt l listaelem ltrehozasa*/
	HivasElem* munkakezdig = (HivasElem*)malloc(sizeof(HivasElem));
	hivasinic(&munkakezdig->hiv, -1, idoinic(0, 0, 0), idoinic(8, 0, 0) );
	munkakezdig->kov = NULL;
	HivasElem* munkavegig = (HivasElem*)malloc(sizeof(HivasElem));
	hivasinic(&munkavegig->hiv, -1, idoinic(12, 0, 0), idoinic(23, 59, 59));
	munkavegig->kov = NULL;

	/*lista definils*/
	HivasLista* hivasok = ujnaplista(munkakezdig, munkavegig);
	/*lista feltltse*/
	FILE* fajl;
	fajl = fopen("hivas.txt", "rt");
	listainput(hivasok, fajl);
	fclose(fajl);

	printf("\n3. feladat\n");
	orankent(hivasok);

	printf("\n4. feladat\n");
	maxhivashossz(hivasok);

	printf("\n5. feladat\n");
	beszelo(hivasok);

	printf("\n6. feladat\n");
	FogadottLista* fog_hivasok = ujfogadottlista(hivasok);
	fog_hivasok = fogadott_kigyujt(fog_hivasok);
	utolso(fog_hivasok);

	/*7. feladat: adatok kirsa fjlba*/
	fogadott_kiir(fog_hivasok);
	printf("\n7. feladat\n\tKiiras kesz.\n");

	/*Extra*/
	szabadido(fog_hivasok);

	torol_fogadottlista(fog_hivasok);
	torol_napilista(hivasok);

	return 0;
	}
